Subject: Re: bug#37546: 26.3; Implement multi-file package README long description generation as described by elisp manual

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 19:35:06 +0200

Bruno Félix Rezende Ribeiro <[email-masked]> writes:

> The inlined patch implements the (already expected) generation of
> multi-file package long description from a potential README file
> residing inside the package’s content directory.  Currently Emacs only
> implements the long description generation from commentary sections and
> for single-file packages.
>
> This behavior is documented in ‘(elisp) Multi-file Packages’ and the
> function ‘package-upload-buffer-internal’ from ‘package-x.el’ had a
> ‘FIXME: Get it from the README file.’ right on the spot of this

Did you see the function package--get-description?  In there, we also
consider other names for the README file.  Could we perhaps base
ourselves on that code somehow?

Best regards,
Stefan Kangas